#version 400

// Whenever using this shader, tell IGLU to disable depth testing
#pragma IGLU_DISABLE DEPTH_TEST

layout(location = 0) in vec3 vertex;
layout(location = 2) in vec2 texcoord;

out vec2 fragTexCoord;


void main( void ) 
{
    gl_Position = vec4( vertex.xyz, 1.0f );
    fragTexCoord = texcoord.xy;
}